/*
 * This file is part of the ALT project, module Alt-Customize-Branding.
 * Copyright (c) BaseALT Ltd 2020 Pavel Moseev <mars@altlinux.org>
 *
 * This is free software; you can use this application under the GNU
 * General Public License, version 3. See the file "COPYING" for the
 * exact licensing terms.
 */

#ifndef BRANDING_HELPER_H
#define BRANDING_HELPER_H

#include <kauth.h>
#include <KAuthAction>
#include <KAuthExecuteJob>
#include <QMessageBox>
#include <QErrorMessage>

using namespace KAuth;

class BrandingHelper : public QObject
{
    Q_OBJECT

public:
    BrandingHelper();

public Q_SLOTS: //public slots:
    ActionReply write(const QVariantMap &args);

private:
    QString appName_ = QLatin1String("alt-customize-branding");
    QString previousThemeName_ = QLatin1String("");

};

#endif // BRANDING_HELPER_H
